
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-pvoc
Summary:		pvoc is a collection of LADSPA units and a command line tool
Version:		0.1.12
Release:		0.pm.2.4
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			http://quitte.de/dsp/pvoc_%{version}.tar.gz
URL:			http://quitte.de/dsp/pvoc.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	fftw3-devel
BuildRequires:	gcc-c++
BuildRequires:	ladspa
BuildRequires:	libsndfile-devel
BuildRequires:	pkgconfig

%description
pvoc is a collection of LADSPA units and a command line tool for time
compression/expansion of sound data making use of the phase-vocoding
technique.



%prep
%setup -q -n pvoc-%{version}
#%patch

%build
%__make \
	OPTS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%__install -m 644 -c *.so \
	%{buildroot}%{_libdir}/ladspa

%__install -dm 755 %{buildroot}%{_bindir}
%__install -c -m 755 stretch \
	%{buildroot}%{_bindir}

# man-pages
%__install -dm 755 %{buildroot}%{_mandir}/man1
%__install -c -m 644 stretch.1 \
	%{buildroot}%{_mandir}/man1

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc COPYING README pvoc.html
%{_bindir}/*
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*
%{_mandir}/man1/*

%changelog
* Sat Jul 12 2008 Toni Graffy <toni@links2linux.de> - 0.1.12-0.pm.1
- update to 0.1.12
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.1.11-0.pm.1
- splitt-off from ladspa package
